//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 



//	Blue, bright glass.  Light swirl pattern to it.

textures/voidwar/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/voidwar/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/voidwar/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }



// 	Plain glass.

textures/voidwar/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/voidwar/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/



textures/voidwar/shiny_black
{
	qer_editorimage textures/voidwar/plainblack2.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
        {
		map textures/voidwar/plainblack2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/voidwar/plainblack2right
{
	qer_editorimage textures/voidwar/plainblack2right.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
        {
		map textures/voidwar/plainblack2right.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/voidwar/plainblack2left
{
	qer_editorimage textures/voidwar/plainblack2left.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
        {
		map textures/voidwar/plainblack2left.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/voidwar/shiny_flatgrate
{
	qer_editorimage textures/voidwar/flatgrate2.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
        {
		map textures/voidwar/flatgrate2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/voidwar/shiny_gratebar
{
	qer_editorimage textures/voidwar/gratebar2.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
        {
		map textures/voidwar/gratebar2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/voidwar/shiny_gray
{
	qer_editorimage textures/voidwar/flatgrey.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
	{
		map textures/voidwar/flatgrey.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/voidwar/pannel-2
{
	qer_editorimage textures/voidwar/pannel-2.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
	{
		map textures/voidwar/pannel-2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/voidwar/pannel-1
{
	qer_editorimage textures/voidwar/pannel-1.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	

	{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }

	{
		map textures/voidwar/pannel-1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/voidwar/banner
{
	qer_editorimage textures/voidwar/banner.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	

	{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }

	{
		map textures/voidwar/banner.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/voidwar/floorlight
{
	qer_editorimage textures/voidwar/floorlight.tga
	q3map_backsplash 0 0
	q3map_surfacelight 3000
	light 1
	//surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/voidwar/floorlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/voidwar/floorlight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/voidwar/g_skybox
{
	qer_editorimage textures/voidwar/d_morningsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun	0.266383 0.274632 0.358662 150 60 85
	//q3map_surfacelight 80
	q3map_surfacelight 250

        skyparms env/jonas/g_morning - -
	
}


textures/voidwar/door
{
	qer_editorimage textures/voidwar/door.tga

			{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity  
			}
	{
		map textures/voidwar/door.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/voidwar/power_generator
{

	qer_editorimage textures/urban_terror/metalcrate_rivets.tga

	
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/urban_terror/metalcrate_rivets.tga
		blendfunc blend	
	}

	
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

	
	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
}